:root {
    --color_1: #d9edf7;
    --color_1_1: #31708f;
    --color_2: #fcf8e3;
    --color_2_1: #ab9f8c;
    --color_3: #dff0d8;
    --color_3_1: #4b805b;
}

body {
    background-color: #ffffff;
}

.ok_domanda {
    border: 2px solid var(--color_3_1);
}

.nascondi {
    display: none!important;
}

.show {
    display: block!important;
}


/*Login*/

#login_main {
    display: flex !important;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

#login_main form {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    flex-wrap: wrap;
}

#login_main form div {
    width: 50%;
}

#login_main form>div:nth-child(6) {
    width: 100%;
    margin-top: 20px;
    margin-bottom: 20px;
}

#login_main .form-control.input-sm {
    width: 90%;
    margin: 0 15px;
    text-align: center;
}

#login_main .form-group {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#login_main button[type="submit"] {
    width: 50%;
    margin: 0 auto !important;
    display: block;
    margin-top: 20px;
    margin-bottom: 20px;
    background: var(--color_1_1);
    color: white;
    font-size: 18px;
}


/*buttons*/

.mat_1 a {
    background-color: var(--color_1);
    color: var(--color_1_1);
    box-shadow: 2px 2px var(--color_1_1);
    border-radius: 5px;
    padding: 5px 15px;
    text-decoration: none;
    margin: 5px;
    width: fit-content;
    transition: 0.5s;
}

.mat_1 a:hover {
    box-shadow: none;
    transform: translate(2px, 2px);
}

.mat_1 a h4 {
    text-align: center;
    font-size: 20px;
    font-weight: bold;
}

.mat_2 a {
    background-color: var(--color_2);
    color: var(--color_2_1);
    box-shadow: 2px 2px var(--color_2_1);
    border-radius: 5px;
    padding: 5px 15px;
    text-decoration: none;
    margin: 5px;
    width: fit-content;
    transition: 0.5s;
}

.mat_2 a:hover {
    box-shadow: none;
    transform: translate(2px, 2px);
}

.mat_2 a h4 {
    text-align: center;
    font-size: 20px;
    font-weight: bold;
}

.login_widget button {
    padding: 10px 15px;
    font-size: 20px;
    background: var(--color_3);
    color: var(--color_3_1);
    box-shadow: 2px 2px var(--color_3_1);
    border: none;
}

.login_widget button,
.mat_2 a,
.mat_1 a {
    border-radius: 12px;
}

.binder_1 .panel-heading {
    background-color: var(--color_2);
    color: var(--color_2_1);
    border-color: var(--color_2_1);
}

.dashboard_home_login {
    display: none;
}

.dashboard_home_login a {
    margin-top: 20px;
    padding: 12px 20px;
    background: var(--color_1_1);
    border-radius: 15px;
    box-shadow: 2px 2px var(--color_1);
    transition: 0.3s;
}

.dashboard_home_login a:hover {
    box-shadow: none;
    transform: translate(2px, 2px);
}

.dashboard_home_login h4 {
    color: white;
}